from setuptools import setup, find_packages
import sys, os

version = '0.1'

setup(name='ddportfolioservice',
      version=version,
      description="service to create DDPortfolio URLs",
      long_description="""This is a service implementation that
returns a set of personalized URLs as outlined in
http://wiki.debian.org/DDPortfolio. It takes the Debian developers
full name and email address as input and returns a JSON formatted
array of URLs.""",
      # Get strings from http://pypi.python.org/pypi?%3Aaction=list_classifiers
      classifiers=['Development Status :: 3 - Alpha',
                   'Environment :: Web Environment',
                   'License :: DFSG approved',
                   'License :: OSI approved :: ' .
                   'GNU Affero General Public License v3',
                   'Programming Language :: Python'],
      keywords='Debian service JSON',
      author='Jan Dittberner',
      author_email='jan@dittberner.info',
      url='http://debian-stuff.dittberner.info/ddportfolioservice/',
      license='AGPLv3',
      packages=find_packages(exclude=['ez_setup', 'examples', 'tests']),
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          # -*- Extra requirements: -*-
          'PasteDeploy',
          'python-json'
      ],
      )
